
<?php $bannerId = $this->getBannerId() ?>
<?php $productId = $this->getProductId(); 

//var_dump($_item->getPrice());
?>
<?php $banner = $this->getBannerById($bannerId);
$productId = $banner->getProductId(); 
$_item = $this->getProductById($productId);
?>
<?php if($banner): ?>
<?php 
$viewMode = 'grid';
            $image = 'category_page_grid';
            $showDescription = false;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
               $type = 'widget-product-grid';
                 $showWishlist = true;
    $showCompare = true;
    $showCart = true;
    $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::DEFAULT_VIEW;
    $description = false;
?>

<div class="promobanner<?php echo $this->getCustomClass($banner) ?>">
		<a<?php if($banner->getUrl()!=''): ?> href="<?php echo $banner->getUrl() ?>"<?php endif ?>>
			<img alt="" src="<?php echo $this->getBannerImageUrl($banner) ?>" class="img-responsive" />
		</a>
		<?php if(($banner->getContent() != '') || ($banner->getButton() != '')): ?>
			<div class="text<?php if($banner->getTextAlign()!=''): ?> <?php echo $banner->getTextAlign() ?><?php endif ?>">
				<?php if($banner->getContent() != ''): ?>
					<div class="banner-text"><?php echo $banner->getContent() ?></div>
				<?php endif ?>
				<?php if($banner->getButton() != ''): ?>
					<span class="banner-button">
						<button class="btn btn-default btn-promo-banner"><?php echo $banner->getButton() ?></button>
					</span>
				<?php endif ?>
			</div>
		<?php endif ?>
	</div>
          <div class="col-md-3 col-sm-6 col-xs-6">
                        <div class="nx-product">
                                       <?php if ($templateType): ?>
                                    <?php echo $block->getReviewsSummaryHtml($_item, $templateType) ?>
                                <?php endif; ?>
                                        <?php
                            $product_label = "";
//                            if($_product_label_config['sale_label']) {
                                $orgprice = $_item->getPrice();
                                $specialprice = $_item->getSpecialPrice();
                                $specialfromdate = $_item->getSpecialFromDate();
                                $specialtodate = $_item->getSpecialToDate();
                                $today = time();
                                if(!$specialprice)
                                    $specialprice = $orgprice;
                                if($specialprice < $orgprice) {
                                    if((is_null($specialfromdate) && is_null($specialtodate)) || ($today >= strtotime($specialfromdate) && is_null($specialtodate)) || ($today <= strtotime($specialtodate) && is_null($specialfromdate)) || ($today >= strtotime($specialfromdate) && $today <= strtotime($specialtodate))){
//                                        if($_product_label_config['sale_label_percent']) {
                                            $save_percent = 100-round(($specialprice/$orgprice)*100);
                                            $product_label .= '<div class="product-label sale-label">'.__('discount').'-'.$save_percent.'%'.'</div>';
//                                        } else {
//                                            $product_label .= '<div class="product-label sale-label">'.$_product_label_config['sale_label_text'].'</div>';
//                                        }
                                    }
                                }
//                            }
//                            if($_product_label_config['new_label']) {
                                $now = date("Y-m-d");
                                $newsFrom= substr($_item->getData('news_from_date'),0,10);
                                $newsTo=  substr($_item->getData('news_to_date'),0,10);
                                
                                if ($newsTo != '' || $newsFrom != ''){
                                    if (($newsTo != '' && $newsFrom != '' && $now>=$newsFrom && $now<=$newsTo) || ($newsTo == '' && $now >=$newsFrom) || ($newsFrom == '' && $now<=$newsTo)) {
                                        $product_label .= '<div class="product-label new-label">'.__('new').'</div>';
                                    }
                                }
//                            }
                            if($product_label)
                                echo '<div class="product-labels">'.$product_label.'</div>';
                        ?>
                            <div class="nx-product-img">
                            <a href="<?php /* @escapeNotVerified */ echo $block->getProductUrl($_item) ?>" class="product-item-photo">
                                <?php echo $block->getImage($_item, $image)->toHtml(); ?>
                            </a>
                            </div>
                            <div class="nx-product-details">
                                <h4 class="nx-product-name">
                                    <a title="<?php echo $block->escapeHtml($_item->getName()) ?>"
                                       href="<?php /* @escapeNotVerified */ echo $block->getProductUrl($_item) ?>"
                                       class="">
                                        <span><?php echo $block->escapeHtml($_item->getName()) ?></span>
                                    </a>
                                </h4>
                                <p><?php echo $_item->getShortDescription();?></p>
                                <?php          
//                                $om = \Magento\Framework\App\ObjectManager::getInstance();
//                            $pdata = $om->create('Magento\Catalog\Model\Product')->load($_item->getId());
                            ?>
                                
                                <div class="nx-product-price">
                                <?php
                                echo $block->getProductPrice($_item);
                                ?>
                                </div>
                     
                                </div>
                            <div class="nx-product-hover-wrap">
                            <div class="nx-product-inner-wrap">
                                <?php if ( $showCart): ?>
                             
                                        <?php if ($showCart): ?>
                                                <?php if ($_item->isSaleable()): ?>
                                                    <?php if ($_item->getTypeInstance()->hasRequiredOptions($_item)): ?>
                                                        <button class="action tocart from-top nx-buy btn btn-primary nx-product-add-to-cart btn-block"
                                                                data-mage-init='{"redirectUrl":{"url":"<?php /* @escapeNotVerified */ echo $block->getAddToCartUrl($_item) ?>"}}'
                                                                type="button" title="<?php /* @escapeNotVerified */ echo __('Add to Cart') ?>">
                                                            <span><?php /* @escapeNotVerified */ echo __('Add to Cart') ?></span>
                                                        </button>
                                                    <?php else: ?>
                                                        <?php
                                                            $postDataHelper = $this->helper('Magento\Framework\Data\Helper\PostHelper');
                                                            $postData = $postDataHelper->getPostData($block->getAddToCartUrl($_item), ['product' => $_item->getEntityId()])
                                                        ?>
                                                        <button class="action tocart from-top nx-buy btn btn-primary nx-product-add-to-cart btn-block"
                                                                data-post='<?php /* @escapeNotVerified */ echo $postData; ?>'
                                                                type="button" title="<?php /* @escapeNotVerified */ echo __('Add to Cart') ?>">
                                                            <span><?php /* @escapeNotVerified */ echo __('Add to Cart') ?></span>
                                                        </button>
                                                    <?php endif; ?>
                                                <?php else: ?>
                                                    <?php if ($_item->getIsSalable()): ?>
                                                        <div class="stock available"><span><?php /* @escapeNotVerified */ echo __('In stock') ?></span></div>
                                                    <?php else: ?>
                                                        <div class="stock unavailable"><span><?php /* @escapeNotVerified */ echo __('Out of stock') ?></span></div>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                        <?php endif; ?>
                        
                                       
                                    </div>
                                <?php endif; ?>
                            </div>
                            </div>
                            
                        </div>
                        </div>
<?php else: ?>
	<div class="message info empty"><div><?php echo __('We can\'t find banners matching the selection.') ?></div></div>
<?php endif ?>